Skip to content

Create agents

Request

Create agents in bulk.

Security
ApiKeyAuth
Bodyapplication/jsonrequired

The list of agent's details

dataArray of objects(CreateAgentInput)
POST
/v1/agents/bulk
curl -i -X POST \
  https://dev.dixa.io/v1/agents/bulk \
  -H 'Authorization: YOUR_API_KEY_HERE' \
  -H 'Content-Type: application/json' \
  -d '{
    "data": [
      {
        "displayName": "Alice Brown",
        "email": "alice@brown.com",
        "phoneNumber": "+551155256325",
        "additionalEmails": [],
        "additionalPhoneNumbers": [],
        "firstName": "Alice",
        "lastName": "Brown",
        "middleNames": [],
        "avatarUrl": "http://avatar.url"
      }
    ]
  }'

Responses

The created agents

Bodyapplication/json
dataArray of any(BulkActionOutcome_BulkError_Agent)
Response
{ "data": [ {}, {}, {}, {}, {} ] }